unit Unit2;

{$mode ObjFPC}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, StdCtrls, ExtCtrls;

type

  { TForm2 }

  TForm2 = class(TForm)
    Label1: TLabel;
    Timer1: TTimer;
    procedure FormShow(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
  private
    Counter: Integer;
    procedure UpdateInfo;

  public

  end;

var
  Form2: TForm2;

implementation

{$R *.lfm}

{ TForm2 }

procedure TForm2.FormShow(Sender: TObject);
begin
  Counter := 10;  // Anzahl der Sekunden, nach denen das Fenster geschlossen wird
  UpdateInfo;
  Timer1.Interval := 1000;  // Das Timer-Interval ist in Millisekunden - 1x pro Sekunden soll der Timer feuern
  Timer1.Enabled := true;   // Timer aktivieren
end;

procedure TForm2.Timer1Timer(Sender: TObject);
begin
  dec(Counter);          // Die noch verbleibenden Sekunden herunterzählen
  UpdateInfo;            // Restzeit-Anzeige aktualisieren
  if Counter = 0 then    // Wenn die Zeit abgelaufen ist...
  begin
    Timer1.Enabled := false;   // Timer deaktivieren, so dass er nicht mehr feuern kann
    Close;                     // Fenster schließen
  end;
end;

procedure TForm2.UpdateInfo;
begin
  Label1.Caption := 'Dieses Fenter schließt sich wieder in ' +
    IntToStr(Counter) + ' Sekunden.';
end;

end.

