unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, StdCtrls, ExtCtrls,
  Unit2;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Label1: TLabel;
    Timer1: TTimer;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
  private
    RestSekunden: Integer;
    procedure UpdateRestAnzeige;

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.Button1Click(Sender: TObject);
begin
  RestSekunden := 10;  // Anzahl der Sekunden, nach denen das 2. Fenster geöffnet wird
  UpdateRestAnzeige;
  Label1.Show;

  Timer1.Interval := 1000;  // jede Sekunde soll der Timer feuern und die Restzeit anzeigen
  Timer1.Enabled := true;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  Form2.Show;
end;

procedure TForm1.Timer1Timer(Sender: TObject);
begin
  dec(RestSekunden);
  UpdateRestAnzeige;
  if RestSekunden = 0 then
  begin
    Timer1.Enabled := false;
    Form2.Show;
    Label1.Hide;
  end;
end;

procedure TForm1.UpdateRestanzeige;
begin
  Label1.Caption := 'Noch ' + IntToStr(RestSekunden) + ' Sekunden...';
end;

end.

